## libjibx1.2-java 1.2.3

=== debian/changelog ===
libjibx1.2-java (1.2.3-3) unstable; urgency=low

  [ Stephen Nelson ]
  * Team upload.
  * Update standards version to 3.9.5
  * Remove Michael Koch from uploaders. (Closes: #654082) 
  * Add Stephen Nelson to uploaders. 
  * Update the Vcs fields.
  * Use debhelper version 9.
  * Provide Maven artifact. (Closes: #729021)
  * Fix deprecation warnings in debian/rules

  [ tony mancill ]
  * Address lintian warning in debian/copyright.

 -- Stephen Nelson <stephen@eccostudio.com>  Wed, 12 Mar 2014 21:49:38 +0000

libjibx1.2-java (1.2.3-2) unstable; urgency=low

  * Team upload.
  * Switch to default-jdk. (Closes: #643532).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Drop unneeded B-D on quilt.
  * Use anonymous URL for Vcs-Svn field.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 27 Sep 2011 20:38:31 -0430

libjibx1.2-java (1.2.3-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Improve download of upstream source code.
  * Add Build-Depends: libjoda-time-java.
  * Remove Java runtime from Depends.
  * Add missing Depends: ${misc:Depends}.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Wed, 31 Aug 2011 14:09:31 +0200

libjibx1.2-java (1.2.1-1) unstable; urgency=low

  [ Eric Lavarde ]
  * Remove dependency on gjdoc.
  * Enhance clean target to really cleanup back to original.
  * Move to debhelper compat 7.
  * Add copyright clarifications based on feedback from ftpmaster.

  [ Michael Koch ]
  * New upstream release (Closes: #526611).
  * Reworked debian/rules and removed debian/install and
    debian/links.
  * Build-Depends on liblog4j1.2-java.
  * Moved package to section 'java'.
  * Moved ant and openjdk-6-jdk to Build-Depends.
  * Make package Depends on default-jre-headless | java2-runtime-headless.
  * Updated Standards-Version to 3.8.3.

  [ Steffen Moeller ]
  * Introduced version-specific packages
  * Updated Standards-Version to 3.8.4.
  * added "clean" target to build.xml

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Sep 2009 12:32:59 +0200

libjibx-java (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    + Build-Depend on openjdk-6-jdk instead of sun-java6-jdk.
    + Depend on openjdk-6-jre instead of sun-java6-jre.
    + Thanks to the above, move to main!
    + Add Homepage field.
    + Add firefox as alternative to iceweasel (for potential Ubuntu
      integration).
    + Updated Standards-Version to 3.8.0
  * debian/rules:
    + Set JAVA_HOME_DIRS to the correct value for openjdk-6-jdk.
  * debian/copyright:
    + slighthly modify to make lintian happy.

 -- Eric Lavarde <deb@zorglub.s.bawue.de>  Sat, 21 Feb 2009 09:13:28 +0100

libjibx-java (1.0.1-2) unstable; urgency=low

  [ Michael Bienia ]
  * debian/control:
    + Build-Depend on sun-java6-jdk instead of ibm-j2sdk1.6 | sun-j2sdk1.4.
    + Depend on sun-java6-jre instead of sun-j2re1.4.
    + Recommend iceweasel instead of mozilla.
  * debian/rules:
    + Set JAVA_HOME_DIRS to the correct value for sun-java6-jdk.

  [ Michael Koch ]
  * Fixed clean target to make it possible to build the package two times in a
    row.
  * Moved debhelper and cdbs to Build-Depends.
  * Updated Standards-Version to 3.7.3.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Fri, 25 Jan 2008 23:30:33 +0100

libjibx-java (1.0.1-1) unstable; urgency=low

  * Initial Release (closes: Bug#354374).

 -- Eric Lavarde <deb@zorglub.s.bawue.de>  Sat,  4 Mar 2006 15:20:17 +0200
