=== debian/control ===
Source: libjibx1.2-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>, Stephen Nelson <stephen@eccostudio.com> 
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.8), default-jdk, ant, maven-repo-helper
Build-Depends-Indep: antlr, libbcel-java, liblog4j1.2-java, libxpp3-java,
 libjoda-time-java
Standards-Version: 3.9.5
Homepage: http://jibx.sf.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libjibx-java/branch-1.2
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libjibx-java/branch-1.2

Package: libjibx1.2-java
Architecture: all
Depends: libbcel-java, libxpp3-java, ${misc:Depends}
Suggests: java-virtual-machine, libjibx-java-doc
Conflicts: libjibx-java (<= 1.0.2-1)
Description: Framework for binding XML data to Java objects
 JiBX lets you work with data from XML documents using your own class
 structures. The JiBX framework handles all the details of converting
 your data to and from XML based on your instructions. JiBX is designed
 to perform the translation between internal data structures and XML
 with very high efficiency, but still allows you a high degree of
 control over the translation process.

Package: libjibx-java
Architecture: all
Depends: libjibx1.2-java, ${misc:Depends}
Description: Framework for binding XML data to Java objects
 JiBX lets you work with data from XML documents using your own class
 structures. The JiBX framework handles all the details of converting
 your data to and from XML based on your instructions. JiBX is designed
 to perform the translation between internal data structures and XML
 with very high efficiency, but still allows you a high degree of
 control over the translation process.
 .
 This package provides the jibx.jar file as a symbolic link to the
 versioned jar.

Package: libjibx1.2-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: iceweasel | firefox | www-browser
Suggests: libjibx-java
Description: Documentation for libjibx-java
 This package contains documentation, javadocs and tutorial code for JiBX.
