## libjibx1.2-java 1.2.6

=== debian/changelog ===
libjibx1.2-java (1.2.6-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix Homepage
  * Fix Vcs fields
  * d/watch: Ensure only 1.2.? version will be reported
  * d/copyright: Use Files-Excluded to exclude files from upstream source
  * debhelper-compat = 13
  * Standards-Version: 4.7.0 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Trim trailing whitespace.
  * Switchinig from cdbs to dh
  * lintian-overrides: Repackaging seems unneeded thus ignoring harmless
    files that should be removed
  * Make sure readme.html will not end up in both binary packages
  * Avoid privace-breach by SF logo in docs

  [ Pierre Gruet ]
  * Marking the -doc package as Multi-Arch: foreign
  * Build-depending on the headless JDK only
  * Using javahelper to design the classpath of the built jars
  * Using maven-repo-helper to provide Maven artifacts, hence simplifying
    debian/rules
  * Removing now uninformative d/README.source
  * Removing d/dirs file

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Jan 2025 14:02:46 +0100

libjibx1.2-java (1.2.6-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix FTBFS with Java 9. (Closes: #893259)

 -- Markus Koschany <apo@debian.org>  Fri, 11 May 2018 21:04:18 +0200

libjibx1.2-java (1.2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Refreshed the patches
  * Set the locale when generating the javadoc to make the build reproducible
  * debian/control:
    - Standards-Version updated to 3.9.7 (no changes)
    - Removed the suggested java-virtual-machine dependency from libjibx1.2-java
    - Removed the recommended dependency on a web browser from the doc package
    - Removed the unused build dependency on antlr
    - Reworked the packages descriptions
  * Moved the package to Git
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Feb 2016 11:23:23 +0100

libjibx1.2-java (1.2.3-4) unstable; urgency=medium

  * Team upload.
  * Modified the detection of the JDK to build with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 25 Apr 2014 11:34:11 +0200
