=== debian/control ===
Source: libjibx1.2-java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>,
           Stephen Nelson <stephen@eccostudio.com>
Section: java
Priority: optional
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk-headless,
               javahelper,
               maven-repo-helper
Build-Depends-Indep: libbcel-java,
                     libjoda-time-java,
                     liblog4j1.2-java,
                     libxpp3-java
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/libjibx1.2-java
Vcs-Git: https://salsa.debian.org/java-team/libjibx1.2-java.git
Homepage: https://jibx.sourceforge.io/

Package: libjibx1.2-java
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Suggests: libjibx-java-doc
Description: Framework for binding XML data to Java objects
 JiBX lets you work with data from XML documents using your own class
 structures. The JiBX framework handles all the details of converting
 your data to and from XML based on your instructions. JiBX is designed
 to perform the translation between internal data structures and XML
 with very high efficiency, but still allows you a high degree of
 control over the translation process.

Package: libjibx-java
Architecture: all
Depends: libjibx1.2-java,
         ${misc:Depends}
Description: Framework for binding XML data to Java objects (symlink)
 JiBX lets you work with data from XML documents using your own class
 structures. The JiBX framework handles all the details of converting
 your data to and from XML based on your instructions. JiBX is designed
 to perform the translation between internal data structures and XML
 with very high efficiency, but still allows you a high degree of
 control over the translation process.
 .
 This package provides the jibx.jar file as a symbolic link to the
 versioned jar.

Package: libjibx1.2-java-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libjibx-java
Description: Framework for binding XML data to Java objects (documentation)
 JiBX lets you work with data from XML documents using your own class
 structures. The JiBX framework handles all the details of converting
 your data to and from XML based on your instructions. JiBX is designed
 to perform the translation between internal data structures and XML
 with very high efficiency, but still allows you a high degree of
 control over the translation process.
 .
 This package contains documentation, javadocs and tutorial code for JiBX.
