=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with javahelper,maven-repo-helper

override_dh_clean:
	dh_clean
	-rm -fr build/api build/classes lib/*

override_dh_auto_build:
	cd build && /usr/lib/jvm/default-java/bin/java -classpath /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/java/bcel.jar:/usr/share/java/log4j-1.2.jar:/usr/share/java/xpp3.jar:/usr/share/java/joda-time.jar:/usr/lib/jvm/default-java/lib/tools.jar\
	    -Dant.home=/usr/share/ant org.apache.tools.ant.Main -Dbindname=jibx-bind-1.2.6 -Dextrasname=jibx-extras-1.2.6 -Drunname=jibx-run-1.2.6\
	    -Dschemaname=jibx-schema-1.2.6 setrelease current devdoc

# After the classpath of the jars has been settled, remove unversioned jar
# symlainks and create them again in libjibx-java.
execute_after_jh_classpath:
	for art in bind extras run schema; do\
	    rm debian/libjibx1.2-java/usr/share/java/jibx-$$art.jar;\
	    dh_link -plibjibx-java usr/share/java/jibx-$$art-$(DEB_VERSION_UPSTREAM).jar usr/share/java/jibx-$$art.jar;\
	done

execute_after_dh_installdocs:
	for i in `grep -Rl '<img src="http://.*sflogo' debian/*` ; do sed -i 's?<img src="http://.*sflogo.* alt="\([^"]\+\)" />?\1?' $$i ; done
