=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=auto" \
 http://sf.net/jibx/jibx_(1_2[[:digit:]_]+).zip
